unix-2.7.2.2: POSIX functionality

Copyright | (c) The University of Glasgow 2003
License | BSD-style (see the file libraries/base/LICENSE)
Maintainer | libraries@haskell.org
Stability | provisional
Portability | non-portable (requires POSIX)
Safe Haskell | Safe
Language | Haskell2010

System.Posix.Resource

Contents

- Resource Limits

Description

POSIX resource support

Synopsis

- data ResourceLimit
  - = ResourceLimitInfinity
  - | ResourceLimitUnknown
  - | ResourceLimit Integer
- data ResourceLimits = ResourceLimits {
  - softLimit, hardLimit :: ResourceLimit
  }
- data Resource
  - = ResourceCoreFileSize
  - | ResourceCPUTime
  - | ResourceDataSize
  - | ResourceFileSize
  - | ResourceOpenFiles
  - | ResourceStackSize
  - | ResourceTotalMemory
- getResourceLimit :: Resource -> IO ResourceLimits
- setResourceLimit :: Resource -> ResourceLimits -> IO ()

# Resource Limits

data ResourceLimit #

Constructors

ResourceLimitInfinity |
ResourceLimitUnknown |
ResourceLimit Integer |

Instances

Eq ResourceLimit # |
Methods (==) :: ResourceLimit -> ResourceLimit -> Bool # (/=) :: ResourceLimit -> ResourceLimit -> Bool #

data ResourceLimits #

Constructors

ResourceLimits |

Fields

- softLimit, hardLimit :: ResourceLimit

Instances

Eq ResourceLimits # |
Methods (==) :: ResourceLimits -> ResourceLimits -> Bool # (/=) :: ResourceLimits -> ResourceLimits -> Bool #

data Resource #

Constructors

ResourceCoreFileSize |
ResourceCPUTime |
ResourceDataSize |
ResourceFileSize |
ResourceOpenFiles |
ResourceStackSize |
ResourceTotalMemory |

Instances

Eq Resource # |
Methods (==) :: Resource -> Resource -> Bool # (/=) :: Resource -> Resource -> Bool #

getResourceLimit :: Resource -> IO ResourceLimits #

setResourceLimit :: Resource -> ResourceLimits -> IO () #